Get Data Collector
Get Data Collector with a given id.
Note: Data collector endpoints are not available in VMware Aria Automation (on-prem) release.
The ID of the Data Collector.
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Successful operation
{
"dcId": "d5316b00-f3b8-4895-9e9a-c4b98649c2ca",
"ipAddress": "10.0.0.1",
"name": "Datacollector1",
"hostName": "dc1-lnd.mycompany.com",
"status": "ACTIVE, INACTIVE"
}
Data collector identifier
Ip Address of the data collector VM
Data collector name
Data collector host name
Current status of the data collector
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
Not found
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
curl -H 'Authorization: <value>' https://{api_host}/iaas/api/data-collectors/{id}